I have 10.5.8 and Logic Pro Academic. I would like to upgrade for 64 bit support. Does the 9.1 upgrade to 64 bit apply to academic version as well?

Mac OS X 10.6 Snow Leopard

Back To Product

Follow this Question

1 Answer from the Community

  • You should have no issues upgrading to 10.6 and using Logic in that environment.

    Was this useful? Answer 1

    0 of 0 people found this useful

Related Questions